Skip to main content

Atrium API

Read Merchant

The necessary merchant_guid can be determined by reading or listing transactions, as well as categorizing transactions.

The logo_url follows a pattern using a base URL: https://content.mx.com/logos/merchants/ + merchant_guid + .png. For example: https://content.mx.com/logos/merchants/MCH-ad2e487b-34e4-4b2b-820d-603e330d0ca9.png

MX may need to change this base URL from time to time, but in such cases partners will be notified and a redirect will be set up for the previous base URL. The logo returned will be 100x100px.

GET
/merchants/{merchant_guid}

Request sample

Language:sh

_10
curl -i 'https://vestibule.mx.com/merchants/{merchant_guid}' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_11
{
_11
"merchant": {
_11
"created_at": "2018-09-17T19:13:53Z",
_11
"guid": "MCH-ad6d3405-ec03-721d-b0ca-eeceeebcb8b5",
_11
"logo_updated_at": "2021-08-09T16:19:23Z",
_11
"logo_url": "https://content.mx.com/logos/merchants/MCH-ad6d3405-ec03-721d-b0ca-eeceeebcb8b5.png",
_11
"name": "1-800 Contacts",
_11
"updated_at": "2021-08-09T16:19:23Z",
_11
"website_url": "https://www.1800contacts.com"
_11
}
_11
}